Name:		libosmocore
Version:	1.10.0
Release:	%{autorelease}
Summary:	Open Source MObile COMmunications CORE library

License:	GPL-2.0-or-later GPL-2.0-only GPL-3.0-or-later
URL:		https://osmocom.org/projects/libosmocore
Source0:	https://ftp.osmocom.org/releases/libosmocore/libosmocore-%{version}.tar.bz2

BuildRequires:	gcc make gnutls-devel doxygen pcsc-lite-devel libtalloc-devel pkgconfig(libsctp) libusb1-devel libmnl-devel systemd-devel liburing-devel

%description
The libraries provided by this package contain various utility functions.  These
were originally developed as part of the OpenBSC project but are of a more
generic nature and thus useful to (at least) other programs that are developed
in the sphere of Free Software / Open Source mobile communication.



%package	devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup


%build
%configure --disable-static
%make_build


%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%{?ldconfig_scriptlets}


%files
%license COPYING
%doc README.md
%{_bindir}/osmo-*
%{_libdir}/libosmo*.so.*

%files devel
%{_includedir}/osmocom
%{_includedir}/osmo-release.mk
%{_libdir}/libosmo*.so
%dir %{_pkgdocdir}
%{_pkgdocdir}/codec
%{_pkgdocdir}/coding
%{_pkgdocdir}/core
%{_pkgdocdir}/ctrl
%{_pkgdocdir}/gb
%{_pkgdocdir}/gsm
%{_pkgdocdir}/isdn
%{_pkgdocdir}/sim
%{_pkgdocdir}/usb
%{_pkgdocdir}/vty
%{_datadir}/aclocal/osmo_*
%{_libdir}/pkgconfig/libosmo*.pc


%changelog
%autochangelog
